## blcr 0.8.2

=== debian/changelog ===
blcr (0.8.2-13) unstable; urgency=medium

  * Fixed another bashism in configure that stopped the module configuring
    configuring correctly with dash. (checkbashisms didn't report this)
  * Re-ran autoreconf again

 -- Alan Woodland <awoodland@debian.org>  Tue, 18 May 2010 17:19:23 +0100

blcr (0.8.2-12) unstable; urgency=medium

  * Fix bashisms release goal, hence medium urgency
     - Replace /bin/sh with /bin/bash for three files
     - (Closes: #581072)

 -- Alan Woodland <awoodland@debian.org>  Tue, 18 May 2010 12:02:28 +0100

blcr (0.8.2-11) unstable; urgency=low

  * Ship libcr0-dbg and blcr-testsuite now in order to simplify 
    diagnosis of problems

 -- Alan Woodland <awoodland@debian.org>  Tue, 09 Mar 2010 14:01:48 +0000

blcr (0.8.2-10) unstable; urgency=low

  * Add patch from Paul Hargrove that fixes builds on linux-rt
    - Fixes build dkms build failure with linux-rt kernels.
    - Required autoreconf run
      LP: #534175
  * Bump to standards version 3.8.4, no changes needed
  * Add misc depends for dkms package

 -- Alan Woodland <awoodland@debian.org>  Tue, 09 Mar 2010 11:12:39 +0000

blcr (0.8.2-9) unstable; urgency=low

  * Updated patch thanks to Dave Martin, fixes FTBFS on armel

 -- Alan Woodland <awoodland@debian.org>  Tue, 19 Jan 2010 10:55:43 +0000

blcr (0.8.2-8) unstable; urgency=low

  * Apply ARMv7 __kuser Thumb fix patch from Dave Martin
  * Force ARM to use __kuser_cmpxchg on ARM.
    - Will break on kernels older than 2.6.12
    - Fixes problem with newer ARM instruction sets
      LP: #503185 

 -- Alan Woodland <awoodland@debian.org>  Mon, 18 Jan 2010 14:09:03 +0000

blcr (0.8.2-7) unstable; urgency=low

  * debian/control: s/blcr-utils/blcr-util/
  * Drop blcr-source package for dkms entirely now
  * Apply upstream 2.6.32 support patch, add x86 support.
  * Add AM_MAINTAINER_MODE to configure.ac in order to prevent re-running
    autotools (Closes: #561365)

 -- Alan Woodland <awoodland@debian.org>  Sun, 20 Dec 2009 18:24:38 +0000

blcr (0.8.2-6) unstable; urgency=low

  * Add DKMS support, based on batman-*-dkms.
  * Fix one more incorrect override.
  * Removed a few files for packages with wrong SONAME that never got uploaded!
  * Add a README.source to make lintian happy
  * Add symbol files for dh_makeshlibs
  * Switch to quilt for patch management
  * Switch to source format 3.0

 -- Alan Woodland <awoodland@debian.org>  Wed, 11 Nov 2009 15:15:46 +0000

blcr (0.8.2-5) unstable; urgency=low

  * Apply upstream 2.6.31 patch, which also fixes 2.6.30.
  * Fix override disparity (-source is kernel, lib is libs).
  * Install 32 bit libs in /usr/lib32 (Closes: #555475)

 -- Alan Woodland <awoodland@debian.org>  Mon, 09 Nov 2009 10:38:27 +0000

blcr (0.8.2-4) unstable; urgency=low

  * Ship a custom Kbuild file with the module source
    - makes it suitable for building with linux-modules-extra-2.6
  * Bump standards to 3.8.3 (no changes)
  * Patch to enable building amd64 kernels with i386 userspace
  * Move patches to dpatch, this is getting too much to do by hand!
  * Change any binaries to [amd64 i386 powerpc ppc64 armel] 
    (Closes: #544762, #543263)

 -- Alan Woodland <awoodland@debian.org>  Sun, 04 Oct 2009 16:56:14 +0100

blcr (0.8.2-3) unstable; urgency=low

  * Disabled multilib on SPARC (Closes: #543263)
  * Patched configure to look for sys_open instead of _end when testing
    System.map validity (Closes: #542643)
  * Reduced depends on module package to recommends. (It will behave sanely)
  * Re-ran autoreconf

 -- Alan Woodland <awoodland@debian.org>  Sun, 23 Aug 2009 21:59:41 +0100

blcr (0.8.2-2) unstable; urgency=low

  * Intitial release (Closes: #529619)
  * Based on AUFS package
  * Added debian/watch.
  * Added post(inst|rm) scripts for module packages that call depmod.
  * Fixed Lintian warnings.
  * Building lib32cr0 on ppc64 and sparc64 now too.
  * Added gcc multilib build-depends for multilib arches.

 -- Alan Woodland <awoodland@debian.org>  Thu, 23 Jul 2009 16:58:52 +0100
