=== debian/control ===
Source: blcr
Section: misc
Priority: optional
Maintainer:  Alan Woodland <awoodland@debian.org>
Build-Depends: debhelper (>= 5), bzip2, dh-kpatches, chrpath, autotools-dev, autoconf, automake, libtool, gcc-multilib [amd64 ppc64]
Homepage: https://ftg.lbl.gov/CheckpointRestart/CheckpointRestart.shtml
Standards-Version: 3.8.4

Package: blcr-util
Architecture: amd64 i386 powerpc ppc64 armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: blcr-modules | blcr-dkms
Description: Userspace tools to Checkpoint and Restart Linux processes
 BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
 Linux to be "checkpointed" (written entirely to a file), and then 
 later "restarted".
 .
 BLCR can checkpoint both single- and multithreaded (pthreads) 
 programs linked with the NPTL implementation of pthreads. BLCR is 
 also able to save and restore groups of related processes together 
 with the pipes that connect them.
 .
 This package contains utilities needed to launch and restart 
 unmodified processes with checkpointing support.
 .

Package: blcr-testsuite
Architecture: amd64 i386 powerpc ppc64 armel
Depends: ${shlibs:Depends}, ${misc:Depends}, blcr-util
Suggests: libcr-dbg
Description: Userspace tools to Checkpoint and Restart Linux processes
 BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on
 Linux to be "checkpointed" (written entirely to a file), and then
 later "restarted".
 .
 BLCR can checkpoint both single- and multithreaded (pthreads)
 programs linked with the NPTL implementation of pthreads. BLCR is
 also able to save and restore groups of related processes together
 with the pipes that connect them.
 .
 This package contains the testsuite needed to verify and diagnose
 problems with the local BLCR kernel module.
 .


Package: blcr-dkms
Architecture: all
Section: kernel
Depends: dkms, make, ${misc:Depends}
Recommends: blcr-util
Replaces: blcr-source
Description: DKMS support for BLCR kernel module
 This package provides integration with the DKMS infrastructure for
 automatically building out of tree kernel modules.
 .
 BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on
 Linux to be "checkpointed" (written entirely to a file), and then
 later "restarted".
 .


Package: libcr0
Architecture: amd64 i386 powerpc ppc64 armel
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: blcr-modules | blcr-dkms
Description: Libraries to Checkpoint and Restart Linux processes
 BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
 Linux to be "checkpointed" (written entirely to a file), and then 
 later "restarted".
 .
 BLCR can checkpoint both single- and multithreaded (pthreads) 
 programs linked with the NPTL implementation of pthreads. BLCR is 
 also able to save and restore groups of related processes together 
 with the pipes that connect them.
 .
 This package contains the libraries needed to by programs to 
 use BLCR.

Package: libcr-dbg
Architecture: amd64 i386 powerpc ppc64 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libcr0 (= ${binary:Version})
Suggests: blcr-testsuite
Description: Libraries to Checkpoint and Restart Linux processes
 BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on
 Linux to be "checkpointed" (written entirely to a file), and then
 later "restarted".
 .
 BLCR can checkpoint both single- and multithreaded (pthreads)
 programs linked with the NPTL implementation of pthreads. BLCR is
 also able to save and restore groups of related processes together
 with the pipes that connect them.
 .
 This package contains the debug symbols for the libcr library.
 .

Package: lib32cr0
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: blcr-modules | blcr-dkms
Section: libs
Conflicts: libc6-i386 (<= 2.9-18)
Description: (32bit) Libraries to Checkpoint and Restart Linux processes
 BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
 Linux to be "checkpointed" (written entirely to a file), and then 
 later "restarted".
 .
 BLCR can checkpoint both single- and multithreaded (pthreads) 
 programs linked with the NPTL implementation of pthreads. BLCR is 
 also able to save and restore groups of related processes together 
 with the pipes that connect them.
 .
 This package contains the libraries needed to for 32bit programs to 
 use BLCR on 64bit systems.


Package: libcr-dev
Architecture: amd64 i386 powerpc ppc64 armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcr0 (= ${binary:Version})
Section: libdevel
Description: Development files for BLCR
 BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
 Linux to be "checkpointed" (written entirely to a file), and then 
 later "restarted".
 .
 BLCR can checkpoint both single- and multithreaded (pthreads) 
 programs linked with the NPTL implementation of pthreads. BLCR is 
 also able to save and restore groups of related processes together 
 with the pipes that connect them.
 .
 BLCR can checkpoint and restore (most) un-modified programs,
 however BLCR aware applications can customise this process 
 further.
 .
 This package contains headers and files needed to compile 
 applications that work with BLCR.
