## blcr 0.8.4

=== debian/changelog ===
blcr (0.8.4-2ubuntu1) quantal; urgency=low

  * demote blcr-dkms recommends to suggests (LP: #1005524)
    does not work with kernels newer than 2.6.38 so don't install
    it together with mpi by default

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 28 May 2012 15:18:14 +0200

blcr (0.8.4-2) unstable; urgency=low

  * Fixed homepage (Closes: #657346)
  * Added armhf to arches (Closes: #645549)

 -- Alan Woodland <awoodland@debian.org>  Sat, 04 Feb 2012 14:22:59 +0000

blcr (0.8.4-1) unstable; urgency=low

  * Update to upstream 0.8.4 release
    - Includes 01_fix_recent.diff, 02_fix_i386_on_amd64.diff, 03_fix_2.6.32, 
               06_ubuntu_linux-rt_support 08_fix_to_2.6.34
    - Adds support for kernels upto and including 2.6.38 
       (Closes: #614560) LP: #700036
  * blcr-dkms still lacks support for 2.6.39/3.x kernels, but is useful to:
    - Users running newer kernels with stable
    - Users running older kernels with testing/unstable
    - Developers working on support for newer kernels
  * Include armhf patch in Debian (Closes: #622720)
  * Switched linux-headers depends to newer packages (Closes: #628871)
  * Bump standards, no changes needed

 -- Alan Woodland <awoodland@debian.org>  Wed, 12 Oct 2011 12:55:23 +0100

blcr (0.8.2-15) unstable; urgency=low

  * Fix typo in 07_fix_cross_pbuilder that broke PPC64 and SPARC64
  * Reran autoconf

 -- Alan Woodland <awoodland@debian.org>  Tue, 12 Oct 2010 10:40:34 +0100

blcr (0.8.2-14) unstable; urgency=medium

  * Add dependencies for kernel headers in dkms package (Closes: #592439)
  * Add support for more recent kernels (Closes: #573112)
    - Kernels >= 2.6.32.x and < 2.6.35 are now supported. .35 is WIP still
    - LP: #555729
  * Fix problems with i386 pbuilder on amd64 hosts setting wrong 
    CR_LIBARCH (Closes: #597601)
  * Removed legacy references to blcr-modules m-a package
  * Updated to standards 3.9.1 
    - Emptied dependency_libs to comply with new *.la policy
  * Medium urgency because of FTBFS bug.

 -- Alan Woodland <awoodland@debian.org>  Tue, 21 Sep 2010 14:37:14 +0100
