=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: blcr
 Section: misc
 Priority: optional
-Maintainer:  Alan Woodland <awoodland@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer:  Alan Woodland <awoodland@debian.org>
 Build-Depends: debhelper (>= 5), bzip2, dh-kpatches, chrpath, autotools-dev, autoconf, automake, libtool, gcc-multilib [amd64 ppc64]
-Homepage: https://ftg.lbl.gov/CheckpointRestart/CheckpointRestart.shtml
-Standards-Version: 3.8.4
+Homepage: https://ftg.lbl.gov/projects/CheckpointRestart/
+Standards-Version: 3.9.2
 
 Package: blcr-util
-Architecture: amd64 i386 powerpc ppc64 armel
+Architecture: amd64 i386 powerpc ppc64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: blcr-modules | blcr-dkms
+Suggests: blcr-dkms
 Description: Userspace tools to Checkpoint and Restart Linux processes
  BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
  Linux to be "checkpointed" (written entirely to a file), and then 
@@ -25,7 +26,7 @@
  .
 
 Package: blcr-testsuite
-Architecture: amd64 i386 powerpc ppc64 armel
+Architecture: amd64 i386 powerpc ppc64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, blcr-util
 Suggests: libcr-dbg
 Description: Userspace tools to Checkpoint and Restart Linux processes
@@ -46,7 +47,7 @@
 Package: blcr-dkms
 Architecture: all
 Section: kernel
-Depends: dkms, make, ${misc:Depends}
+Depends: dkms, make, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers, ${misc:Depends}
 Recommends: blcr-util
 Replaces: blcr-source
 Description: DKMS support for BLCR kernel module
@@ -60,10 +61,10 @@
 
 
 Package: libcr0
-Architecture: amd64 i386 powerpc ppc64 armel
+Architecture: amd64 i386 powerpc ppc64 armel armhf
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: blcr-modules | blcr-dkms
+Suggests: blcr-dkms
 Description: Libraries to Checkpoint and Restart Linux processes
  BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
  Linux to be "checkpointed" (written entirely to a file), and then 
@@ -78,7 +79,7 @@
  use BLCR.
 
 Package: libcr-dbg
-Architecture: amd64 i386 powerpc ppc64 armel
+Architecture: amd64 i386 powerpc ppc64 armel armhf
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcr0 (= ${binary:Version})
@@ -99,7 +100,7 @@
 Package: lib32cr0
 Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends} 
-Recommends: blcr-modules | blcr-dkms
+Suggests: blcr-dkms
 Section: libs
 Conflicts: libc6-i386 (<= 2.9-18)
 Description: (32bit) Libraries to Checkpoint and Restart Linux processes
@@ -117,7 +118,7 @@
 
 
 Package: libcr-dev
-Architecture: amd64 i386 powerpc ppc64 armel
+Architecture: amd64 i386 powerpc ppc64 armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcr0 (= ${binary:Version})
 Section: libdevel
 Description: Development files for BLCR
