=== debian/watch ===
version=3
http://ftg.lbl.gov/CheckpointRestart/downloads/blcr-(\d\.\d\.\d).tar.gz
