## blcr 0.8.5

=== debian/changelog ===
blcr (0.8.5-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add powerpcspe.  Closes: #731234

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 04 Aug 2016 12:47:55 +0000

blcr (0.8.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't ship dkms package, it's not compatible with linux 3.16
    (closes: #714045).

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Nov 2014 11:47:33 +0000

blcr (0.8.5-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove dependency of blcr-dkms on obsolete linux-headers packages
    (Closes: #728264)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 18 Nov 2013 13:24:37 +0000

blcr (0.8.5-2) unstable; urgency=low

  * Update to support 3.2.0-39
  * Fixed undocumented depends between testsuite and -dev

 -- Alan Woodland <awoodland@debian.org>  Tue, 26 Mar 2013 22:44:44 +0000

blcr (0.8.5-1) unstable; urgency=high

  * Update to officially blessed upstream 0.8.5
  * High urgency because this is the first releasable ver with RC bug fixes
  * Fixed watch file

 -- Alan Woodland <awoodland@debian.org>  Fri, 01 Feb 2013 21:24:28 +0000

blcr (0.8.5~b4-1) experimental; urgency=low

  * Update to beta4, misc fixes.
  * Merged back most patches Debian was running.

 -- Alan Woodland <awoodland@debian.org>  Sun, 13 Jan 2013 10:03:15 +0000

blcr (0.8.5~b2-1) experimental; urgency=low

  * Update to beta2

 -- Alan Woodland <awoodland@debian.org>  Sat, 22 Dec 2012 08:55:28 +0000

blcr (0.8.5~b1-1) UNRELEASED; urgency=low

  * Updated upstream to 0.8.5-b2
  * Adds experimental support for kernels up to and including 3.6.x (Closes: #638339) LP: 762996
  * Refreshed patches - 08_siginfo is now included upstream
  * Reenabled -dkms package, there's now support

 -- Alan Woodland <awoodland@debian.org>  Thu, 20 Dec 2012 21:32:51 +0000

blcr (0.8.4-4) unstable; urgency=low

  * Fixed build issue with siginfo_t vs struct siginfo
  * Re-ran autoconf

 -- Alan Woodland <awoodland@debian.org>  Tue, 11 Dec 2012 20:37:41 +0000

blcr (0.8.4-3) unstable; urgency=high

  * Preparing for Wheezy release
  * Drop -dkms package entirely since no kernel support anyway,
     userspace library will behave sanely still (Closes: #638339)
  * High urgency because of RC bug fixes
  * Conflicts with older -dkms package to force removal on upgraded systems
  * Drop recommends to suggets (Closes: #690072)

 -- Alan Woodland <awoodland@debian.org>  Sun, 2 Dec 2012 12:17:58 +0000
