=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: blcr
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer:  Alan Woodland <awoodland@debian.org>
+Maintainer:  Alan Woodland <awoodland@debian.org>
 Build-Depends: debhelper (>= 5), bzip2, dh-kpatches, chrpath, autotools-dev, autoconf, automake, libtool, gcc-multilib [amd64 ppc64]
 Homepage: https://ftg.lbl.gov/projects/CheckpointRestart/
 Standards-Version: 3.9.2
 
 Package: blcr-util
-Architecture: amd64 i386 powerpc ppc64 armel armhf
+Architecture: amd64 i386 powerpc ppc64 armel armhf powerpcspe
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: blcr-dkms
 Description: Userspace tools to Checkpoint and Restart Linux processes
  BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
  Linux to be "checkpointed" (written entirely to a file), and then 
@@ -26,7 +24,7 @@
  .
 
 Package: blcr-testsuite
-Architecture: amd64 i386 powerpc ppc64 armel armhf
+Architecture: amd64 i386 powerpc ppc64 armel armhf powerpcspe
 Depends: ${shlibs:Depends}, ${misc:Depends}, blcr-util
 Suggests: libcr-dbg
 Description: Userspace tools to Checkpoint and Restart Linux processes
@@ -43,28 +41,12 @@
  problems with the local BLCR kernel module.
  .
 
-
-Package: blcr-dkms
-Architecture: all
-Section: kernel
-Depends: dkms, make, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers, ${misc:Depends}
-Recommends: blcr-util
-Replaces: blcr-source
-Description: DKMS support for BLCR kernel module
- This package provides integration with the DKMS infrastructure for
- automatically building out of tree kernel modules.
- .
- BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on
- Linux to be "checkpointed" (written entirely to a file), and then
- later "restarted".
- .
-
-
 Package: libcr0
-Architecture: amd64 i386 powerpc ppc64 armel armhf
+Architecture: amd64 i386 powerpc ppc64 armel armhf powerpcspe
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: blcr-dkms
+Conflicts: blcr-dkms (<< 0.8.4-3)
 Description: Libraries to Checkpoint and Restart Linux processes
  BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
  Linux to be "checkpointed" (written entirely to a file), and then 
@@ -79,7 +61,7 @@
  use BLCR.
 
 Package: libcr-dbg
-Architecture: amd64 i386 powerpc ppc64 armel armhf
+Architecture: amd64 i386 powerpc ppc64 armel armhf powerpcspe
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcr0 (= ${binary:Version})
@@ -102,7 +84,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends} 
 Suggests: blcr-dkms
 Section: libs
-Conflicts: libc6-i386 (<= 2.9-18)
+Conflicts: libc6-i386 (<= 2.9-18), blcr-dkms (<< 0.8.4-3)
 Description: (32bit) Libraries to Checkpoint and Restart Linux processes
  BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on 
  Linux to be "checkpointed" (written entirely to a file), and then 
@@ -118,7 +100,7 @@
 
 
 Package: libcr-dev
-Architecture: amd64 i386 powerpc ppc64 armel armhf
+Architecture: amd64 i386 powerpc ppc64 armel armhf powerpcspe
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcr0 (= ${binary:Version})
 Section: libdevel
 Description: Development files for BLCR
