=== debian/rules ===
--- 
+++ 
@@ -40,19 +40,11 @@
 
 # Name of the source package
 psource:=blcr-source
-dkmssource:=blcr-dkms
 # The short upstream name, used for the module source directory
 sname:=blcr
 
 version:= $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 \
             | cut -d- -f1)
-
-### KERNEL SETUP
-# prefix of the target package name
-PACKAGE = blcr-modules
-MA_DIR ?= /usr/share/modass
--include $(MA_DIR)/include/generic.make
--include $(MA_DIR)/include/common-rules.make
 
 ifdef KVERS
 mdir := $(CURDIR)$(shell test $(shell echo $(KVERS)|cut -f3 -d. | cut -f1 -d-) -lt 25 && echo /old)
@@ -127,7 +119,6 @@
 	dh_installdirs
 #	Create the directories to install the source into
 	dh_installdirs -p$(psource) usr/src/modules/$(sname)
-	dh_installdirs -p$(dkmssource) usr/src/$(sname)-$(version)
 	#                usr/src/modules/$(sname)/include 
 	dh_installdirs
 
@@ -150,6 +141,8 @@
 
 	# fix the libdir in the -dev package too
 	sed -i -e 's/lib64/lib/g' $(CURDIR)/debian/libcr-dev/usr/lib/*.la
+	# fix for policy 3.9.1 change of *.la files in -dev packages
+	sed -i -e "s/^dependency_libs.*/dependency_libs=''/" $(CURDIR)/debian/libcr-dev/usr/lib/*.la
 
 	chrpath -d $(CURDIR)/debian/blcr-util/usr/bin/cr_checkpoint $(CURDIR)/debian/blcr-util/usr/bin/cr_restart
 	-chrpath -d -k $(CURDIR)/debian/blcr-testsuite/usr/lib/blcr-testsuite/*
@@ -166,27 +159,6 @@
 		debian/$(psource)/usr/src/modules/$(sname)/debian/
 	
 	cd debian/$(psource)/usr/src && tar ch modules | bzip2 -9 > $(sname).tar.bz2 && rm -rf modules
-
-	# Base the DKMS source on the blcr.tar.bz2 that we ship! 
-	cd $(CURDIR)/debian/$(dkmssource)/usr/src/$(sname)-$(version) && tar --strip-components=2 -xjf $(CURDIR)/debian/$(psource)/usr/src/blcr.tar.bz2
-
-	# we don't ship -source anymore, so delete it!
-	-rm -rf $(CURDIR)/debian/$(psource)/
-
-	# clean up the shipped source
-	# Tests should be executable
-	find $(CURDIR)/debian/$(dkmssource)/usr/src/$(sname)-$(version)/tests/ -iname '*.sh' -exec chmod a+x {} \;
-	# we don't duplicate this everywhere, it's in /usr/share/doc
-	find $(CURDIR)/debian/$(dkmssource)/ -name 'license.txt' -exec rm {} \;	
-	cd $(CURDIR)/debian/$(dkmssource)/usr/src/$(sname)-$(version)/ && rm COPYING COPYING.LIB LICENSE.txt
-	# make more things executable that should be
-	cd $(CURDIR)/debian/$(dkmssource)/usr/src/$(sname)-$(version)/ && chmod a+x contrib/cr_depmod debian/conf.mk etc/blcr.rc
-	# make some things *not* executable
-	cd $(CURDIR)/debian/$(dkmssource)/usr/src/$(sname)-$(version)/ && chmod a-x vmadump4/vmadump_sparc.c cr_module/arch/sparc/cr_arch.h 
-
-	sed -e 's/[@]VERSION[@]/$(version)/' debian/dkms.conf.in \
-             > debian/$(dkmssource)/usr/src/$(sname)-$(version)/dkms.conf
-
 
 	dh_installdocs
