## blcr 0.8.6~b3

=== debian/changelog ===
blcr (0.8.6~b3-1) experimental; urgency=low

  * Updated to latest upstream beta for newer kernel support 
    (Closes: #714045)
  * Fixed typo in libcr0 description (Closes: #704460)
  * Added powerpcspe (Closes: #731234)
  * Fix version matching for Jessie kernels
  * Rerun autoconf

 -- Alan Woodland <awoodland@debian.org>  Wed, 08 Oct 2014 11:05:01 +0100
