=== debian/control ===
--- 
+++ 
@@ -57,7 +57,7 @@
  also able to save and restore groups of related processes together 
  with the pipes that connect them.
  .
- This package contains the libraries needed to by programs to 
+ This package contains the libraries needed by programs to 
  use BLCR.
 
 Package: libcr-dbg
@@ -119,3 +119,21 @@
  .
  This package contains headers and files needed to compile 
  applications that work with BLCR.
+ .
+
+Package: blcr-dkms
+Architecture: all
+Section: kernel
+Depends: dkms, make, ${misc:Depends}
+Recommends: blcr-util, linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic
+Replaces: blcr-source
+Description: DKMS support for BLCR kernel module
+ This package provides integration with the DKMS infrastructure for
+ automatically building out of tree kernel modules.
+ .
+ BLCR (Berkeley Lab Checkpoint/Restart) allows programs running on
+ Linux to be "checkpointed" (written entirely to a file), and then
+ later "restarted".
+ .
+
+
